zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvbsln.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
gxvbsln.c File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gxvbsln
#define | GXV_BSLN_DATA(field) GXV_TABLE_DATA( bsln, field )
#define | GXV_BSLN_VALUE_COUNT 32
#define | GXV_BSLN_VALUE_EMPTY 0xFFFFU

## Typedefs

typedef struct GXV_bsln_DataRec_ * | GXV_bsln_Data
typedef struct GXV_bsln_DataRec_ | GXV_bsln_DataRec

## Functions

static GXV_LookupValueDesc | gxv_bsln_LookupFmt4_transit (FT_UShort relative_gindex, GXV_LookupValueCPtr base_value_p, FT_Bytes lookuptbl_limit, GXV_Validator valid)
static void | gxv_bsln_LookupValue_validate (FT_UShort glyph, GXV_LookupValueCPtr value_p, GXV_Validator valid)
static void | gxv_bsln_parts_fmt0_validate (FT_Bytes tables, FT_Bytes limit, GXV_Validator valid)
static void | gxv_bsln_parts_fmt1_validate (FT_Bytes tables, FT_Bytes limit, GXV_Validator valid)
static void | gxv_bsln_parts_fmt2_validate (FT_Bytes tables, FT_Bytes limit, GXV_Validator valid)
static void | gxv_bsln_parts_fmt3_validate (FT_Bytes tables, FT_Bytes limit, GXV_Validator valid)
| gxv_bsln_validate (FT_Bytes table, FT_Face face, FT_Validator ftvalid)

## Macro Definition Documentation

#define FT_COMPONENT trace_gxvbsln

Definition at line 38 of file gxvbsln.c.

#define GXV_BSLN_DATA | ( |  | field | ) | GXV_TABLE_DATA( bsln, field )

Definition at line 61 of file gxvbsln.c.

Referenced by gxv_bsln_LookupValue_validate(), and gxv_bsln_parts_fmt2_validate().

#define GXV_BSLN_VALUE_COUNT 32

Definition at line 49 of file gxvbsln.c.

Referenced by gxv_bsln_LookupValue_validate(), gxv_bsln_parts_fmt0_validate(), gxv_bsln_parts_fmt1_validate(), gxv_bsln_parts_fmt2_validate(), and gxv_bsln_parts_fmt3_validate().

#define GXV_BSLN_VALUE_EMPTY 0xFFFFU

Definition at line 50 of file gxvbsln.c.

Referenced by gxv_bsln_LookupValue_validate(), and gxv_bsln_parts_fmt2_validate().

## Typedef Documentation

typedef struct GXV_bsln_DataRec_ * GXV_bsln_Data

typedef struct GXV_bsln_DataRec_ GXV_bsln_DataRec

## Function Documentation

static GXV_LookupValueDesc gxv_bsln_LookupFmt4_transit | ( | FT_UShort | relative_gindex,
|  | GXV_LookupValueCPtr | base_value_p,
|  | FT_Bytes | lookuptbl_limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 124 of file gxvbsln.c.

References FT_NEXT_USHORT, GXV_LIMIT_CHECK, GXV_ValidatorRec_::lookuptbl_head, sizeof(), and GXV_LookupValueDesc_::u.

Referenced by gxv_bsln_parts_fmt1_validate(), and gxv_bsln_parts_fmt3_validate().

static void gxv_bsln_LookupValue_validate | ( | FT_UShort | glyph,
|  | GXV_LookupValueCPtr | value_p,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 73 of file gxvbsln.c.

References FT_INVALID_DATA, FT_UNUSED, GXV_BSLN_DATA, GXV_BSLN_VALUE_COUNT, GXV_BSLN_VALUE_EMPTY, GXV_EXIT, GXV_NAME_ENTER, and GXV_LookupValueDesc_::u.

Referenced by gxv_bsln_parts_fmt1_validate(), and gxv_bsln_parts_fmt3_validate().

static void gxv_bsln_parts_fmt0_validate | ( | FT_Bytes | tables,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 149 of file gxvbsln.c.

References GXV_BSLN_VALUE_COUNT, GXV_EXIT, GXV_LIMIT_CHECK, GXV_NAME_ENTER, NULL, and GXV_ValidatorRec_::table_data.

Referenced by gxv_bsln_parts_fmt1_validate(), and gxv_bsln_validate().

static void gxv_bsln_parts_fmt1_validate | ( | FT_Bytes | tables,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 168 of file gxvbsln.c.

References gxv_bsln_LookupFmt4_transit(), gxv_bsln_LookupValue_validate(), gxv_bsln_parts_fmt0_validate(), GXV_BSLN_VALUE_COUNT, GXV_EXIT, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, GXV_NAME_ENTER, GXV_ValidatorRec_::lookupfmt4_trans, GXV_ValidatorRec_::lookupval_func, and GXV_ValidatorRec_::lookupval_sign.

Referenced by gxv_bsln_validate().

static void gxv_bsln_parts_fmt2_validate | ( | FT_Bytes | tables,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 193 of file gxvbsln.c.

References FT_INVALID_DATA, FT_NEXT_USHORT, GXV_BSLN_DATA, GXV_BSLN_VALUE_COUNT, GXV_BSLN_VALUE_EMPTY, gxv_ctlPoint_validate(), GXV_EXIT, gxv_glyphid_validate(), GXV_LIMIT_CHECK, GXV_NAME_ENTER, GXV_TRACE, and i.

Referenced by gxv_bsln_parts_fmt3_validate(), and gxv_bsln_validate().

static void gxv_bsln_parts_fmt3_validate | ( | FT_Bytes | tables,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

static

Definition at line 237 of file gxvbsln.c.

References gxv_bsln_LookupFmt4_transit(), gxv_bsln_LookupValue_validate(), gxv_bsln_parts_fmt2_validate(), GXV_BSLN_VALUE_COUNT, GXV_EXIT, gxv_LookupTable_validate(), GXV_LOOKUPVALUE_UNSIGNED, GXV_NAME_ENTER, GXV_ValidatorRec_::lookupfmt4_trans, GXV_ValidatorRec_::lookupval_func, and GXV_ValidatorRec_::lookupval_sign.

Referenced by gxv_bsln_validate().

gxv_bsln_validate | ( | FT_Bytes | table,
|  | FT_Face | face,
|  | FT_Validator | ftvalid
| ) |  |

Definition at line 270 of file gxvbsln.c.

References GXV_ValidatorRec_::face, FT_INVALID_FORMAT, FT_NEXT_ULONG, FT_NEXT_USHORT, FT_TRACE3, FT_TRACE4, gxv_bsln_parts_fmt0_validate(), gxv_bsln_parts_fmt1_validate(), gxv_bsln_parts_fmt2_validate(), gxv_bsln_parts_fmt3_validate(), GXV_INIT, GXV_LIMIT_CHECK, GXV_TRACE, GXV_ValidatorRec_::root, GXV_ValidatorRec_::table_data, and version.